package com.qmth.eds.api;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.eds.common.util.Result;
import com.qmth.eds.common.util.ResultUtil;
import com.qmth.eds.service.BasicSchoolService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 学校表 前端控制器
 * </p>
 *
 * @author wangliang
 * @since 2022-05-14
 */
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/basic_school")
public class BasicSchoolController {

    @Resource
    private BasicSchoolService basicSchoolService;

    @ApiOperation(value = "查询")
    @PostMapping("/list")
    public Result list() {
        return ResultUtil.ok(basicSchoolService.list());
    }

    @ApiOperation(value = "查询（根据用户查询学校列表）")
    @PostMapping("/list_by_user")
    public Result listByUser(@RequestParam String loginName) {
        return ResultUtil.ok(basicSchoolService.listByUser(loginName));
    }

}
